org.bouncycastle.pqc.math.ntru

## Class HRSS1373Polynomial

- java.lang.Object
- - org.bouncycastle.pqc.math.ntru.Polynomial
  - - org.bouncycastle.pqc.math.ntru.HRSSPolynomial
    - - org.bouncycastle.pqc.math.ntru.HRSS1373Polynomial

-     public class HRSS1373Polynomial
      extends HRSSPolynomial

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.pqc.math.ntru.Polynomial

      `coeffs, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HRSS1373Polynomial(NTRUHRSSParameterSet params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sqFromBytes(byte[] a)` Unpack a Sq polynomial
    `byte[]` | `sqToBytes(int len)` Pack Sq polynomial as a byte array

    - ### Methods inherited from class org.bouncycastle.pqc.math.ntru.HRSSPolynomial

      `lift`

    - ### Methods inherited from class org.bouncycastle.pqc.math.ntru.Polynomial

      `mod3PhiN, modQPhiN, r2Inv, rqInv, rqMul, rqSumZeroFromBytes, rqSumZeroToBytes, rqToS3, s3FromBytes, s3Inv, s3Mul, s3ToBytes, s3ToBytes, sqMul, trinaryZqToZ3, z3ToZq`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HRSS1373Polynomial

          public HRSS1373Polynomial(NTRUHRSSParameterSet params)

  - ### Method Detail

    - #### sqToBytes

          public byte[] sqToBytes(int len)

      Description copied from class: `Polynomial`
      Pack Sq polynomial as a byte array
      Overrides:
        `sqToBytes` in class `HRSSPolynomial`
      Parameters:
        `len` - array length of packed polynomial
      Returns:
      See Also:
        NTRU specification section 1.8.5

    - #### sqFromBytes

          public void sqFromBytes(byte[] a)

      Description copied from class: `Polynomial`
      Unpack a Sq polynomial
      Overrides:
        `sqFromBytes` in class `HRSSPolynomial`
      Parameters:
        `a` - byte array of packed polynomial
      See Also:
        NTRU specification section 1.8.6